package handler

import (
	"gitea.neur0tx.site/Neur0toxine/vegapokerbot/internal/config"
	"gitea.neur0tx.site/Neur0toxine/vegapokerbot/internal/db"
	"github.com/mymmrac/telego"
	"go.uber.org/zap"
)

type Type uint8

const (
	Noop Type = iota
	Message
	ChatMemberUpdated
)

type App interface {
	Log() *zap.SugaredLogger
	TG() *telego.Bot
	Conf() *config.Config
	DB() *db.Repositories
}

type Handler interface {
	Handle(update telego.Update) error
}
